@(vmGroup: VMGroup, cloud: Cloud, simId: String, vmProbs: Map[String,Double], cloudRes: Map[String,Long])

<div id="vmlist">
    <table class="table table-striped table-bordered">
        <thead>
            <tr>
                <th>VM Name</th>
                <th># of Cores</th>
                <th>Memory (GB)</th>
                <th>HDD Size (GB)</th>
                <th>Bandwidth (Mbps)</th>
                <th>Probability</th>
            </tr>
        </thead>
        <tbody>
        @for(vm <- vmGroup.getVms){
            <tr>
                <td> <a class="btn btn-link" href="@routes.VMController.edit(vm.getId.toString)">@vm.getName</a></td>
                <td>@simulation.SimUtils.getNf3.format(vm.getCores)</td>
                <td>@simulation.SimUtils.getNf3.format(vm.getMemory)</td>
                <td>@simulation.SimUtils.getNf3.format(vm.getHdd)</td>
                <td>@simulation.SimUtils.getNf3.format(vm.getBandwidth)</td>
                <td><input type="text" class="prob input-mini" id="prob@vm.getId.toString" name="prob@vm.getId.toString" value=@{if(simId == null){"0.0"}else{vmProbs.get(vm.getId.toString)}} /></td>
            </tr>
        }
            <tr id="probTotalRow" class=@if(simId==null){"error"}else{"success"} >
                <td colspan="5" style="text-align:right;"><strong>Current Sum:</strong></td>
                <td id="probTotal" style="text-align:center;"><b>@if(simId==null){0.0}else{1.0}</b></td>
            </tr>
        </tbody>
    </table>
</div>

<div id="cloudlist">
    <table class="table table-striped table-bordered">
        <thead>
            <tr>
                <th>Cluster Name</th>
                <th># of Cores</th>
                <th>Memory (GB)</th>
                <th>HDD Size (GB)</th>
                <th>Bandwidth (Mbps)</th>
                <th># of Nodes</th>
            </tr>
        </thead>
        <tbody>
        @for(clust <- cloud.getClusters()){
            <tr>
                <td> <a class="btn btn-link" href="@routes.ClusterController.edit(clust.getId.toString)"> @clust.getName</a> </td>
                <td>@simulation.SimUtils.getNf3.format(clust.getCores)</td>
                <td>@simulation.SimUtils.getNf3.format(clust.getMemory)</td>
                <td>@simulation.SimUtils.getNf3.format(clust.getHdd)</td>
                <td>@simulation.SimUtils.getNf3.format(clust.getBandwidth)</td>
                <td>@simulation.SimUtils.getNf3.format(clust.getNodes)</td>
            </tr>
        }
            <tr>
                <td><strong>Totals:</strong></td>
                <td><strong>@simulation.SimUtils.getNf3.format(cloudRes.get("cpu"))</strong></td>
                <td><strong>@simulation.SimUtils.getNf3.format(cloudRes.get("mem"))</strong></td>
                <td><strong>@simulation.SimUtils.getNf3.format(cloudRes.get("hdd"))</strong></td>
                <td><strong>@simulation.SimUtils.getNf3.format(cloudRes.get("band"))</strong></td>
                <td></td>
            </tr>
        </tbody>
    </table>
</div>
